org.keycloak.broker.oidc

## Class KeycloakOIDCIdentityProviderFactory

- java.lang.Object
- - org.keycloak.broker.provider.AbstractIdentityProviderFactory<KeycloakOIDCIdentityProvider>
  - - org.keycloak.broker.oidc.KeycloakOIDCIdentityProviderFactory

- All Implemented Interfaces:
    IdentityProviderFactory<KeycloakOIDCIdentityProvider>, ProviderFactory<KeycloakOIDCIdentityProvider>

      public class KeycloakOIDCIdentityProviderFactory
      extends AbstractIdentityProviderFactory<KeycloakOIDCIdentityProvider>

  Author:
    Pedro Igor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakOIDCIdentityProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KeycloakOIDCIdentityProvider` | `create(IdentityProviderModel model)` Creates an `IdentityProvider` based on the configuration contained in `model`.
    `String` | `getId()`
    `String` | `getName()` A friendly name for this factory.
    `Map<String,String>` | `parseConfig(InputStream inputStream)` Creates an `IdentityProvider` based on the configuration from `inputStream`.

    - ### Methods inherited from class org.keycloak.broker.provider.AbstractIdentityProviderFactory

      `close, create, init, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KeycloakOIDCIdentityProviderFactory

          public KeycloakOIDCIdentityProviderFactory()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `IdentityProviderFactory`

      A friendly name for this factory.

      Returns:

    - #### create

          public KeycloakOIDCIdentityProvider create(IdentityProviderModel model)

      Description copied from interface: `IdentityProviderFactory`

      Creates an `IdentityProvider` based on the configuration contained in `model`.

      Parameters:
        `model` - The configuration to be used to create the identity provider.
      Returns:

    - #### getId

          public String getId()

    - #### parseConfig

          public Map<String,String> parseConfig(InputStream inputStream)

      Description copied from interface: `IdentityProviderFactory`

      Creates an `IdentityProvider` based on the configuration from `inputStream`.

      Specified by:
        `parseConfig` in interface `IdentityProviderFactory<KeycloakOIDCIdentityProvider>`
      Overrides:
        `parseConfig` in class `AbstractIdentityProviderFactory<KeycloakOIDCIdentityProvider>`
      Parameters:
        `inputStream` - The input stream from where configuration will be loaded from..
      Returns:

Copyright © 2016 JBoss by Red Hat. All rights reserved.